@import url("/styles/font.css");
@import url("/styles/colour.css");

html {
    padding: 0;
    margin: 0;
    overflow-x: hidden;
}

body {
    padding: 0;
    margin: 0;
    font-family: "Fira Sans", sans-serif;
    background-color: rgb(var(--background-rgb));
}

h1 {
    color: white;
    padding: 0;
    margin: 5px;
    text-align: center;
    font-size: 3rem;
}

h2 {
    color: white;
    padding: 0;
    margin: 5px 5px 5px 15px;
    text-decoration: underline solid rgba(255 255 255 / 50%);
    text-underline-offset: 5px;
    font-size: 2rem;
}

h3 {
    color: hsl(0 0% 97.5%);
    margin: 5px 5px 5px 20px;
    font-size: 1.5rem;
}

a {
    color: oklch(var(--accent-base-lightness) var(--accent-okch));
    transition-duration: 0.25s;
}

a:hover {
    color: oklch(calc(var(--accent-base-lightness) * 1.2) var(--accent-okch))
}

p {
    color: hsl(0 0% 95%);
    padding: 0;
    margin: 0 0 0 25px;
}

.side-by-side {
    display: flex;
    justify-content: left;
    align-items: center;
    column-gap: 5px;
}

.box {
    margin: 25px;
    padding: 10px;
    width: calc(100% - 70px);
    text-align: center;
    border-radius: 10px;
    transition-duration: 0.25s;
}

.box.error {
    background-color: oklch(var(--error-base-lightness) var(--error-okch) / 0.5);
    border: 1px solid oklch(var(--error-base-lightness) var(--error-okch));
}

.box.success {
    background-color: oklch(var(--success-base-lightness) var(--success-okch) / 0.5);
    border: 1px solid oklch(var(--success-base-lightness) var(--success-okch));
}

.box.info {
    background-color: oklch(var(--accent-base-lightness) var(--accent-okch) / 0.5);
    border: 1px solid oklch(var(--accent-base-lightness) var(--accent-okch));
}

.box.warning {
    background-color: oklch(var(--warning-base-lightness) var(--warning-okch) / 0.5);
    border: 1px solid oklch(var(--warning-base-lightness) var(--warning-okch));
}